@ === SoftReset [00h] =================================================
@ DECL: void SoftReset();
@ DESC: 
	.align
	.thumb_func
	.global SoftReset
SoftReset:
	swi		0x00
	bx		lr

@ === RegisterRamReset [01h] ==========================================
@ DECL: void RegisterRamReset(u32 flags);
@ DESC: 
	.align
	.thumb_func
	.global RegisterRamReset
RegisterRamReset:
	swi		0x01
	bx		lr

@ === Halt [02h] ======================================================
@ DECL: void Halt();
@ DESC: 
	.align
	.thumb_func
	.global Halt
Halt:
	swi		0x02
	bx		lr

@ === Stop [03h] ======================================================
@ DECL: void Stop();
@ DESC: 
	.align
	.thumb_func
	.global Stop
Stop:
	swi		0x03
	bx		lr

@ === IntrWait [04h] ==================================================
@ DECL: void IntrWait(u32 flagClear, u32 irq);
@ DESC: 
	.align
	.thumb_func
	.global IntrWait
IntrWait:
	swi		0x04
	bx		lr

@ === VBlankIntrWait [05h] ============================================
@ DECL: void VBlankIntrWait();
@ DESC: 
	.align
	.thumb_func
	.global VBlankIntrWait
VBlankIntrWait:
	swi		0x05
	bx		lr

@ === Div [06h] =======================================================
@ DECL: s32 Div(s32 num, s32 den);
@ DESC: 
	.align
	.thumb_func
	.global Div
Div:
	swi		0x06
	bx		lr

@ === DivArm [07h] ====================================================
@ DECL: s32 DivArm(s32 den, s32 num);
@ DESC: 
	.align
	.thumb_func
	.global DivArm
DivArm:
	swi		0x07
	bx		lr

@ === Sqrt [08h] ======================================================
@ DECL: u32 Sqrt(u32 num);
@ DESC: 
	.align
	.thumb_func
	.global Sqrt
Sqrt:
	swi		0x08
	bx		lr

@ === ArcTan [09h] ====================================================
@ DECL: s16 ArcTan(s16 dydx);
@ DESC: 
	.align
	.thumb_func
	.global ArcTan
ArcTan:
	swi		0x09
	bx		lr

@ === ArcTan2 [0Ah] ===================================================
@ DECL: s16 ArcTan2(s16 x, s16 y);
@ DESC: 
	.align
	.thumb_func
	.global ArcTan2
ArcTan2:
	swi		0x0A
	bx		lr

@ === CpuSet [0Bh] ====================================================
@ DECL: void CpuSet(const void *src, void *dst, u32 mode);
@ DESC: 
	.align
	.thumb_func
	.global CpuSet
CpuSet:
	swi		0x0B
	bx		lr

@ === CpuFastSet [0Ch] ================================================
@ DECL: void CpuFastSet(const void *src, void *dst, u32 mode);
@ DESC: 
	.align
	.thumb_func
	.global CpuFastSet
CpuFastSet:
	swi		0x0C
	bx		lr

@ === BiosCheckSum [0Dh] ================================================
@ DECL: u32 BiosCheckSum();
@ DESC: 
	.align
	.thumb_func
	.global BiosCheckSum
BiosCheckSum:
	swi		0x0D
	bx		lr

@ === BgAffineSet [0Eh] ===============================================
@ DECL: void ObjAffineSet(const ObjAffineSource *src, void *dst, s32 num, s32 offset);
@ DESC: 
	.align
	.thumb_func
	.global BgAffineSet
BgAffineSet:
	swi		0x0E
	bx		lr

@ === ObjAffineSet [0Fh] ==============================================
@ DECL: void BgAffineSet(const BGAffineSource *src, BGAffineDest *dst, s32 num);
@ DESC: 
	.align
	.thumb_func
	.global ObjAffineSet
ObjAffineSet:
	swi		0x0F
	bx		lr

@ === BitUnPack [10h] =================================================
@ DECL: void BitUnPack(const void *src, void *dst, BUP *bup);
@ DESC: 
	.align
	.thumb_func
	.global BitUnPack
BitUnPack:
	swi		0x10
	bx		lr

@ === LZ77UnCompWram [11h] ============================================
@ DECL: void LZ77UnCompWram(const void *src, void *dst);
@ DESC: 
	.align
	.thumb_func
	.global LZ77UnCompWram
LZ77UnCompWram:
	swi		0x11
	bx		lr

@ === LZ77UnCompVram [12h] ============================================
@ DECL: void LZ77UnCompVram(const void *src, void *dst);
@ DESC: 
	.align
	.thumb_func
	.global LZ77UnCompVram
LZ77UnCompVram:
	swi		0x12
	bx		lr

@ === HuffUnComp [13h] ================================================
@ DECL: void HuffUnComp(const void *src, void *dst);
@ DESC: 
	.align
	.thumb_func
	.global HuffUnComp
HuffUnComp:
	swi		0x13
	bx		lr

@ === RLUnCompWram [14h] ==============================================
@ DECL: void RLUnCompWram(const void *src, void *dst);
@ DESC: 
	.align
	.thumb_func
	.global RLUnCompWram
RLUnCompWram:
	swi		0x14
	bx		lr

@ === RLUnCompVram [15h] ==============================================
@ DECL: void RLUnCompVram(const void *src, void *dst);
@ DESC: 
	.align
	.thumb_func
	.global RLUnCompVram
RLUnCompVram:
	swi		0x15
	bx		lr

@ === Diff8bitUnFilterWram [16h] ======================================
@ DECL: void Diff8bitUnFilterWram(const void *src, void *dst);
@ DESC: 
	.align
	.thumb_func
	.global Diff8bitUnFilterWram
Diff8bitUnFilterWram:
	swi		0x16
	bx		lr

@ === Diff8bitUnFilterVram [17h] ======================================
@ DECL: void Diff8bitUnFilterVram(const void *src, void *dst);
@ DESC: 
	.align
	.thumb_func
	.global Diff8bitUnFilterVram
Diff8bitUnFilterVram:
	swi		0x17
	bx		lr

@ === Diff16bitUnFilter [18h] =========================================
@ DECL: void Diff16bitUnFilter(const void *src, void *dst);
@ DESC: 
	.align
	.thumb_func
	.global Diff16bitUnFilter
Diff16bitUnFilter:
	swi		0x18
	bx		lr

@ === SoundBias [19h] =================================================
@ DECL: void SoundBias(u32 bias);
@ DESC: 
	.align
	.thumb_func
	.global SoundBias
SoundBias:
	swi		0x19
	bx		lr

@ === SoundDriverInit [1Ah] ===========================================
@ DECL: void SoundDriverInit(void *src);
@ DESC: 
	.align
	.thumb_func
	.global SoundDriverInit
SoundDriverInit:
	swi		0x1A
	bx		lr

@ === SoundDriverMode [1Bh] ===========================================
@ DECL: void SoundDriverMode(u32 mode);
@ DESC: 
	.align
	.thumb_func
	.global SoundDriverMode
SoundDriverMode:
	swi		0x1B
	bx		lr

@ === SoundDriverMain [1Ch] ===========================================
@ DECL: void SoundDriverMain();
@ DESC: 
	.align
	.thumb_func
	.global SoundDriverMain
SoundDriverMain:
	swi		0x1C
	bx		lr

@ === SoundDriverVSync [1Dh] ==========================================
@ DECL: void SoundDriverVSync();
@ DESC: 
	.align
	.thumb_func
	.global SoundDriverVSync
SoundDriverVSync:
	swi		0x1D
	bx		lr

@ === SoundChannelClear [1Eh] =========================================
@ DECL: void SoundChannelClear();
@ DESC: 
	.align
	.thumb_func
	.global SoundChannelClear
SoundChannelClear:
	swi		0x1E
	bx		lr

@ === MidiKey2Freq [1Fh] ==============================================
@ DECL: u32 MidiKey2Freq(void *wa, u8 mk, u8 fp);
@ DESC: 
	.align
	.thumb_func
	.global MidiKey2Freq
MidiKey2Freq:
	swi		0x1F
	bx		lr

@ === MultiBoot [25h] =================================================
@ DECL: int MultiBoot(MultiBootParam* mb, u32 mode);
@ DESC: 
	.align
	.thumb_func
	.global MultiBoot
MultiBoot:
	swi		0x25
	bx		lr

@ === SoundDriverVSyncOff [28h] =======================================
@ DECL: void SoundDriverVSyncOff();
@ DESC: 
	.align
	.thumb_func
	.global SoundDriverVSyncOff
SoundDriverVSyncOff:
	swi		0x28
	bx		lr

@ === SoundDriverVSyncOn [29h] ========================================
@ DECL: void SoundDriverVSyncOn();
@ DESC: 
	.align
	.thumb_func
	.global SoundDriverVSyncOn
SoundDriverVSyncOn:
	swi		0x29
	bx		lr

